Index: cards/delphes_card_IDEA.tcl
===================================================================
--- cards/delphes_card_IDEA.tcl	(revision a3784f99c38aef5693ae734a216c984d39bcf40d)
+++ cards/delphes_card_IDEA.tcl	(revision 26a21bd29ec4d77fc54bc98bda2b8db930213a99)
@@ -1,2 +1,4 @@
+set RandomSeed 123
+
 ####################################################################                                l
 # FCC-ee IDEA detector model
@@ -40,4 +42,5 @@
 
   TrackMerger
+  ForwardLooperTracks
   Calorimeter
 
@@ -45,4 +48,5 @@
   TimeOfFlightNeutralHadron
 
+  EFlowTrackMerger
   EFlowMerger
 
@@ -121,8 +125,7 @@
     set UseMomentumVector true
 
-    # We use only one efficiency, we set only 0 effincency out of eta bounds:
     set EfficiencyFormula {
         (abs(eta) > 2.56)                                  * (0.000) +
-        (pt < 0.1) * (abs(eta) <= 2.56)                    * (0.000)
+        (pt < 0.1) * (abs(eta) <= 2.56)                    * (0.000) +
         (pt >= 0.1) * (abs(eta) <= 2.56)                   * (1.000)
     }
@@ -140,8 +143,7 @@
     set UseMomentumVector true
 
-    # Current full simulation with CLICdet provides for electrons:
     set EfficiencyFormula {
         (abs(eta) > 2.56)                                  * (0.000) +
-        (pt < 0.1) * (abs(eta) <= 2.56)                    * (0.000)
+        (pt < 0.1) * (abs(eta) <= 2.56)                    * (0.000) +
         (pt >= 0.1) * (abs(eta) <= 2.56)                   * (1.000)
     }
@@ -158,8 +160,7 @@
     set UseMomentumVector true
 
-    # Current full simulation with CLICdet provides for muons:
     set EfficiencyFormula {
         (abs(eta) > 2.56)                                  * (0.000) +
-        (pt < 0.1) * (abs(eta) <= 2.56)                    * (0.000)
+        (pt < 0.1) * (abs(eta) <= 2.56)                    * (0.000) +
         (pt >= 0.1) * (abs(eta) <= 2.56)                   * (1.000)
     }
@@ -177,4 +178,5 @@
   set OutputArray tracks
 }
+
 
 
@@ -437,4 +439,22 @@
 
 
+######################
+# Looper Selection
+######################
+
+module Efficiency ForwardLooperTracks  {
+  set InputArray TrackMerger/tracks
+  set OutputArray tracks
+  set UseMomentumVector False
+
+  ## select looping tracks that end up in position |eta| > 3.142 (lost by calo)
+  set EfficiencyFormula {
+    (abs(eta) > 3.0 )                                 * (1.000) +
+    (abs(eta) <= 3.0 )                                * (0.000)
+  }
+
+}
+
+
 #############
 # Calorimeter
@@ -488,5 +508,5 @@
     #deta=0.02 units for 0.88 < |eta| <= 3.0
     #first, from -3.0 to -0.88
-    for {set i 1} {$i <=106} {incr i} {
+    for {set i 0} {$i <=106} {incr i} {
         set eta [expr {-3.00 + $i * 0.02}]
         add EtaPhiBins $eta $PhiBins
@@ -565,4 +585,18 @@
 }
 
+
+############################
+# Energy flow track merger
+############################
+
+module Merger EFlowTrackMerger {
+# add InputArray InputArray
+  add InputArray Calorimeter/eflowTracks
+  add InputArray ForwardLooperTracks/tracks
+  set OutputArray eflowTracks
+}
+
+
+
 ####################
 # Energy flow merger
@@ -571,5 +605,5 @@
 module Merger EFlowMerger {
 # add InputArray InputArray
-  add InputArray Calorimeter/eflowTracks
+  add InputArray EFlowTrackMerger/eflowTracks
   add InputArray Calorimeter/eflowPhotons
   add InputArray TimeOfFlightNeutralHadron/eflowNeutralHadrons
@@ -585,5 +619,4 @@
   set InputArray Calorimeter/eflowPhotons
   set OutputArray photons
-  set UseMomentumVector true
 
   # set EfficiencyFormula {efficiency formula as a function of eta and pt}
@@ -619,5 +652,5 @@
 
 module PdgCodeFilter ElectronFilter {
-  set InputArray Calorimeter/eflowTracks
+  set InputArray EFlowTrackMerger/eflowTracks
   set OutputArray electrons
   set Invert true
@@ -631,5 +664,5 @@
 
 module PdgCodeFilter MuonFilter {
-  set InputArray Calorimeter/eflowTracks
+  set InputArray EFlowTrackMerger/eflowTracks
   set OutputArray muons
   set Invert true
@@ -646,5 +679,4 @@
   set InputArray ElectronFilter/electrons
   set OutputArray electrons
-  set UseMomentumVector true
 
   # set EfficiencyFormula {efficiency formula as a function of eta and pt}
@@ -683,5 +715,4 @@
   set InputArray MuonFilter/muons
   set OutputArray muons
-  set UseMomentumVector true
 
   # set EfficiencyFormula {efficiency as a function of eta and pt}
@@ -885,8 +916,5 @@
     add Branch TruthVertexFinder/vertices GenVertex Vertex
 
-    add Branch TrackMerger/tracks Track Track
-    add Branch Calorimeter/towers Tower Tower
-
-    add Branch Calorimeter/eflowTracks EFlowTrack Track
+    add Branch EFlowTrackMerger/eflowTracks EFlowTrack Track
     add Branch Calorimeter/eflowPhotons EFlowPhoton Tower
     add Branch TimeOfFlightNeutralHadron/eflowNeutralHadrons EFlowNeutralHadron Tower
